Bug 1811 - Please allow key customization (at least for page up and down)
: Please allow key customization (at least for page up and down)
Status: RESOLVED WONTFIX
Product: Browser
MicroB engine
: 3.2
: All All
: Low enhancement with 4 votes (vote)
: ---
Assigned To: unassigned
: microb-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-08-14 16:20 UTC by Frantisek Dufka
Modified: 2008-01-17 17:58 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Frantisek Dufka (reporter) maemo.org 2007-08-14 16:20:15 UTC
Opera can be tweaked in input.ini to allow page up and down when pressing
up/down HW keys. I know there is scroll feature when holding it but it is
uncomfortable/useless for me for few reasons (also in mozilla engine there is
one more reason - bug #1680 aka 'scrolling is too slow')

Is there some similar file or other way of configuration for microb too? If
not, can you add it? Also configuring other keys would be useful (zoom+/-,
left/right)

I find the default behaviour of skipping through links unfortunate and not very
practical but I know Nokia UI people disagree. Skipping through links may be
useful on mobile phones when page is simple (i.e. mostly formatted text) but
using this feature in full browser with complex page layout is confusing and in
98% cases the next link is always in unexpected place.
Comment 1 timeless 2007-08-14 17:59:45 UTC
pageup/pagedown work properly with a bluetooth keyboard. I just tested.

you should be able to use X11 per application keybindings mappings.

The current control panel lets you remap bluetooth keyboard buttons for zoom.
it doesn't let you map something to/from pageup/pagedown, but that's a bug in
their software.

we're part of a platform, and should not be asked to add features that the
platform should do for us.

and as for Nokia UI people, please don't presume to understand how they think.
The requirements as it happens come from higher than our single UI person.

Note that if you press and hold an arrow key, you should transition from link
navigation to normal scrolling.

I should just mark your bug as invalid for claiming to know what the default
navigation behavior is.

Anyway. If you want this bug to survive for another week, please find it a
nicer home in some other component.

N800:Control Panel seems reasonable as it already has a Hardware Keyboard
feature which includes Key Bindings (including zoom as I mentioned earlier, but
not including pageup/pagedown).

I'm going to helpfully move this bug to control panel for you. If this bug or
any similar bug returns to the browser component, it will be wontfixed. Unless
it comes with a patch, in which case it probably still won't be accepted, the
browser's job is to be a browser, if people want the browser to be a platform,
they should use Firefox.

We really have more than enough bugs because people have tried to cram
work-arounds for platform deficiencies into the browser.
Comment 2 Frantisek Dufka (reporter) maemo.org 2007-08-14 18:48:21 UTC
(In reply to comment #1)
> 
> you should be able to use X11 per application keybindings mappings.
> 

Oh, right, thanks, I'm afraid that may not work since it would still be useful
if key down inside text area would move one line down (that's how Opera works).


> we're part of a platform, and should not be asked to add features that the
> platform should do for us.

Well page up/down should be specific to browser. Using it everywhere is not
desired. I think customizing shortcuts per application is generaly accepted as
useful thing and some plaforms support it (KDE, GNOME?). Or do you mean that
Maemo platform should provide per application key-binding API so browser can
query key mapping for 'navigate down' action? That could be useful.

> 
> and as for Nokia UI people, please don't presume to understand how they think.
> The requirements as it happens come from higher than our single UI person.

Yes than that higher place is "Nokia UI people" for me, same thing, I did not
mention any name.

> 
> Note that if you press and hold an arrow key, you should transition from link
> navigation to normal scrolling.

Yes, already mentioned in my report.

> 
> I should just mark your bug as invalid for claiming to know what the default
> navigation behavior is.

Are you joking?

As default behaviour I mean what opera does in stock firmware.

> the
> browser's job is to be a browser, if people want the browser to be a platform,
> they should use Firefox.

No, people just want to scroll browser window one page down when down key is
pressed :-) That's what Opera allows and what may be sensible thing to do as
explained in first comment.
Comment 3 Frantisek Dufka (reporter) maemo.org 2007-08-14 21:30:10 UTC
I think this really belongs to microb browser. Mark it as WONTFIX or whatever
but please leave it in browser category so other people can find it and vote
for it or add ideas. If the right solution needs also implementing
infrastructure for customizing application keybindings, please create another
bug. Also changed to enhancement since this really is request for
feature/enhancement. For me this missing feature is enough for staying with
Opera.
Comment 4 Urho Konttori 2007-11-17 17:49:19 UTC
I have to say that I completely agree with the reporter. Browsing pages is much
more comfortable if dpad pgup/pgdown configuration is in place (or + and  -
keys are bound). On n810 this is not such a problem, as space key can be used
to go pgdown, but still for the n800 users this would be a big help. 

But the commented bluetooth solution cannot be seriously considered, as normal
browsing experience is done by laying on the sofa or on the go. 

I can truly understand how this may be an issue that should mostly be addressed
to the specifications and that probably it should have been done when the
browser was still in beta. Now it's probably too late to fix it as n810 doesn't
suffer from the need anymore. 

However, it would probably make sense if someone from the community would make
an application to remap the X11 key bindings. If the change to X11 mapping is
simple, I might be able to make such an app myself. Do either of you know how
the mapping is done?
Comment 5 timeless 2007-11-17 19:19:32 UTC
ok. wontfixing.

sorry. write an extension. good luck.

your extension should at least change
about:config?sprefname=snav.enabled
to false

before it performs black magic.

and yes, i did want you to file a bug asking for per application bindings.

personally i have no idea how easy or hard it is to do keymap bindings, but i'm
fairly certain it's a lot easier than getting anything done (or even close to
correct) in the browser ui (code or specification).
Comment 6 Frantisek Dufka (reporter) maemo.org 2008-01-17 17:58:11 UTC
Just FYI, there is a solution similar to Opera, see
http://www.internettablettalk.com/forums/showpost.php?p=100884&postcount=11